
From: Stephen Rothwell <sfr@canb.auug.org.au>

This patch does some obvious code cleanups in the iSeries headers files.
	- simplifies the bodies of lots of inline functions
	- parenthesises a macros result
	- removes C++ wrapping
	- adds "extern" to some function declarations
There are no semantic changes.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc64/iSeries/HvCallCfg.h    |   61 +++---------
 include/asm-ppc64/iSeries/HvCallEvent.h  |   65 ++-----------
 include/asm-ppc64/iSeries/HvCallHpt.h    |   23 +---
 include/asm-ppc64/iSeries/HvCallPci.h    |  146 +++++--------------------------
 include/asm-ppc64/iSeries/HvCallSm.h     |    5 -
 include/asm-ppc64/iSeries/HvCallXm.h     |   35 ++-----
 include/asm-ppc64/iSeries/HvLpConfig.h   |    3 
 include/asm-ppc64/iSeries/XmPciLpEvent.h |   12 --
 include/asm-ppc64/iSeries/iSeries_irq.h  |   18 +--
 include/asm-ppc64/iSeries/iSeries_pci.h  |    2 
 include/asm-ppc64/iSeries/vio.h          |   20 ++--
 11 files changed, 92 insertions(+), 298 deletions(-)

diff -puN include/asm-ppc64/iSeries/HvCallCfg.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvCallCfg.h
--- 25/include/asm-ppc64/iSeries/HvCallCfg.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCallCfg.h	2005-06-03 02:15:54.000000000 -0700
@@ -69,37 +69,27 @@ enum HvCallCfg_ReqQual {
 
 static inline HvLpIndex	HvCallCfg_getLps(void)
 {
-	HvLpIndex retVal = HvCall0(HvCallCfgGetLps);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall0(HvCallCfgGetLps);
 }
 
 static inline int HvCallCfg_isBusDedicated(u64 busIndex)
 {
-	int retVal = HvCall1(HvCallCfgIsBusDedicated,busIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallCfgIsBusDedicated, busIndex);
 }
 
 static inline HvLpIndex	HvCallCfg_getBusOwner(u64 busIndex)
 {
-	HvLpIndex retVal = HvCall1(HvCallCfgGetBusOwner,busIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallCfgGetBusOwner, busIndex);
 }
 
 static inline HvLpIndexMap HvCallCfg_getBusAllocation(u64 busIndex)
 {
-	HvLpIndexMap retVal = HvCall1(HvCallCfgGetBusAllocation,busIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallCfgGetBusAllocation, busIndex);
 }
 
 static inline HvLpIndexMap HvCallCfg_getActiveLpMap(void)
 {
-	HvLpIndexMap retVal = HvCall0(HvCallCfgGetActiveLpMap);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall0(HvCallCfgGetActiveLpMap);
 }
 
 static inline HvLpVirtualLanIndexMap HvCallCfg_getVirtualLanIndexMap(
@@ -112,23 +102,18 @@ static inline HvLpVirtualLanIndexMap HvC
 	u64 retVal = HvCall1(HvCallCfgGetVirtualLanIndexMap, lp);
 	if (retVal == -1)
 		retVal = 0;
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 	return retVal;
 }
 
 static inline u64 HvCallCfg_getSystemMsChunks(void)
 {
-	u64 retVal = HvCall0(HvCallCfgGetSystemMsChunks);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall0(HvCallCfgGetSystemMsChunks);
 }
 
 static inline u64 HvCallCfg_getMsChunks(HvLpIndex lp,
 		enum HvCallCfg_ReqQual qual)
 {
-	u64 retVal = HvCall2(HvCallCfgGetMsChunks,lp,qual);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallCfgGetMsChunks, lp, qual);
 }
 
 static inline u64 HvCallCfg_getMinRuntimeMsChunks(HvLpIndex lp)
@@ -142,65 +127,51 @@ static inline u64 HvCallCfg_getMinRuntim
 
 static inline u64 HvCallCfg_setMinRuntimeMsChunks(u64 chunks)
 {
-	u64 retVal = HvCall1(HvCallCfgSetMinRuntimeMsChunks,chunks);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallCfgSetMinRuntimeMsChunks, chunks);
 }
 
 static inline u64 HvCallCfg_getSystemPhysicalProcessors(void)
 {
-	u64 retVal = HvCall0(HvCallCfgGetSystemPhysicalProcessors);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall0(HvCallCfgGetSystemPhysicalProcessors);
 }
 
 static inline u64 HvCallCfg_getPhysicalProcessors(HvLpIndex lp,
 		enum HvCallCfg_ReqQual qual)
 {
-	u64 retVal = HvCall2(HvCallCfgGetPhysicalProcessors,lp,qual);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallCfgGetPhysicalProcessors, lp, qual);
 }
 
 static inline u64 HvCallCfg_getConfiguredBusUnitsForInterruptProc(HvLpIndex lp,
 		u16 hvLogicalProcIndex)
 {
-	u64 retVal = HvCall2(HvCallCfgGetConfiguredBusUnitsForIntProc,lp,hvLogicalProcIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallCfgGetConfiguredBusUnitsForIntProc, lp,
+			hvLogicalProcIndex);
 
 }
 
 static inline HvLpSharedPoolIndex HvCallCfg_getSharedPoolIndex(HvLpIndex lp)
 {
-	HvLpSharedPoolIndex retVal =
-		HvCall1(HvCallCfgGetSharedPoolIndex,lp);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallCfgGetSharedPoolIndex, lp);
 
 }
 
 static inline u64 HvCallCfg_getSharedProcUnits(HvLpIndex lp,
 		enum HvCallCfg_ReqQual qual)
 {
-	u64 retVal = HvCall2(HvCallCfgGetSharedProcUnits,lp,qual);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallCfgGetSharedProcUnits, lp, qual);
 
 }
 
 static inline u64 HvCallCfg_getNumProcsInSharedPool(HvLpSharedPoolIndex sPI)
 {
-	u16 retVal = HvCall1(HvCallCfgGetNumProcsInSharedPool,sPI);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
+	u16 retVal = HvCall1(HvCallCfgGetNumProcsInSharedPool, sPI);
 	return retVal;
 
 }
 
 static inline HvLpIndex	HvCallCfg_getHostingLpIndex(HvLpIndex lp)
 {
-	u64 retVal = HvCall1(HvCallCfgGetHostingLpIndex,lp);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
+	u64 retVal = HvCall1(HvCallCfgGetHostingLpIndex, lp);
 	return retVal;
 }
 
diff -puN include/asm-ppc64/iSeries/HvCallEvent.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvCallEvent.h
--- 25/include/asm-ppc64/iSeries/HvCallEvent.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCallEvent.h	2005-06-03 02:15:54.000000000 -0700
@@ -82,13 +82,11 @@ typedef u64 HvLpDma_Rc;
 static inline void HvCallEvent_getOverflowLpEvents(u8 queueIndex)
 {
 	HvCall1(HvCallEventGetOverflowLpEvents, queueIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallEvent_setInterLpQueueIndex(u8 queueIndex)
 {
 	HvCall1(HvCallEventSetInterLpQueueIndex, queueIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallEvent_setLpEventStack(u8 queueIndex,
@@ -99,7 +97,6 @@ static inline void HvCallEvent_setLpEven
 	abs_addr = virt_to_abs(eventStackAddr);
 	HvCall3(HvCallEventSetLpEventStack, queueIndex, abs_addr,
 			eventStackSize);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallEvent_setLpEventQueueInterruptProc(u8 queueIndex,
@@ -107,22 +104,18 @@ static inline void HvCallEvent_setLpEven
 {
 	HvCall2(HvCallEventSetLpEventQueueInterruptProc, queueIndex,
 			lpLogicalProcIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline HvLpEvent_Rc HvCallEvent_signalLpEvent(struct HvLpEvent *event)
 {
 	u64 abs_addr;
-	HvLpEvent_Rc retVal;
 
 #ifdef DEBUG_SENDEVENT
 	printk("HvCallEvent_signalLpEvent: *event = %016lx\n ",
 			(unsigned long)event);
 #endif
 	abs_addr = virt_to_abs(event);
-	retVal = (HvLpEvent_Rc)HvCall1(HvCallEventSignalLpEvent, abs_addr);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallEventSignalLpEvent, abs_addr);
 }
 
 static inline HvLpEvent_Rc HvCallEvent_signalLpEventFast(HvLpIndex targetLp,
@@ -132,8 +125,6 @@ static inline HvLpEvent_Rc HvCallEvent_s
 		u64 eventData1, u64 eventData2, u64 eventData3,
 		u64 eventData4, u64 eventData5)
 {
-	HvLpEvent_Rc retVal;
-
 	/* Pack the misc bits into a single Dword to pass to PLIC */
 	union {
 		struct HvCallEvent_PackedParms	parms;
@@ -148,67 +139,49 @@ static inline HvLpEvent_Rc HvCallEvent_s
 	packed.parms.xSourceInstId	= sourceInstanceId;
 	packed.parms.xTargetInstId	= targetInstanceId;
 
-	retVal = (HvLpEvent_Rc)HvCall7(HvCallEventSignalLpEventParms,
-			packed.dword, correlationToken, eventData1,eventData2,
-			eventData3,eventData4, eventData5);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall7(HvCallEventSignalLpEventParms, packed.dword,
+			correlationToken, eventData1, eventData2,
+			eventData3, eventData4, eventData5);
 }
 
 static inline HvLpEvent_Rc HvCallEvent_ackLpEvent(struct HvLpEvent *event)
 {
 	u64 abs_addr;
-	HvLpEvent_Rc retVal;
 
 	abs_addr = virt_to_abs(event);
-	retVal = (HvLpEvent_Rc)HvCall1(HvCallEventAckLpEvent, abs_addr);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallEventAckLpEvent, abs_addr);
 }
 
 static inline HvLpEvent_Rc HvCallEvent_cancelLpEvent(struct HvLpEvent *event)
 {
 	u64 abs_addr;
-	HvLpEvent_Rc retVal;
 
 	abs_addr = virt_to_abs(event);
-	retVal = (HvLpEvent_Rc)HvCall1(HvCallEventCancelLpEvent, abs_addr);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallEventCancelLpEvent, abs_addr);
 }
 
 static inline HvLpInstanceId HvCallEvent_getSourceLpInstanceId(
 		HvLpIndex targetLp, HvLpEvent_Type type)
 {
-	HvLpInstanceId retVal;	
-
-	retVal = HvCall2(HvCallEventGetSourceLpInstanceId, targetLp, type);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallEventGetSourceLpInstanceId, targetLp, type);
 }
 
 static inline HvLpInstanceId HvCallEvent_getTargetLpInstanceId(
 		HvLpIndex targetLp, HvLpEvent_Type type)
 {
-	HvLpInstanceId retVal;	
-
-	retVal = HvCall2(HvCallEventGetTargetLpInstanceId, targetLp, type);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallEventGetTargetLpInstanceId, targetLp, type);
 }
 
 static inline void HvCallEvent_openLpEventPath(HvLpIndex targetLp,
 		HvLpEvent_Type type)
 {
 	HvCall2(HvCallEventOpenLpEventPath, targetLp, type);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallEvent_closeLpEventPath(HvLpIndex targetLp,
 		HvLpEvent_Type type)
 {
 	HvCall2(HvCallEventCloseLpEventPath, targetLp, type);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline HvLpDma_Rc HvCallEvent_dmaBufList(HvLpEvent_Type type,
@@ -220,7 +193,6 @@ static inline HvLpDma_Rc HvCallEvent_dma
 		/* Do these need to be converted to absolute addresses? */
 		u64 localBufList, u64 remoteBufList, u32 transferLength)
 {
-	HvLpDma_Rc retVal;
 	/* Pack the misc bits into a single Dword to pass to PLIC */
 	union {
 		struct HvCallEvent_PackedDmaParms	parms;
@@ -237,11 +209,8 @@ static inline HvLpDma_Rc HvCallEvent_dma
 	packed.parms.xLocalInstId	= localInstanceId;
 	packed.parms.xRemoteInstId	= remoteInstanceId;
 
-	retVal = (HvLpDma_Rc)HvCall4(HvCallEventDmaBufList,
-			packed.dword, localBufList, remoteBufList,
-			transferLength);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall4(HvCallEventDmaBufList, packed.dword, localBufList,
+			remoteBufList, transferLength);
 }
 
 static inline HvLpDma_Rc HvCallEvent_dmaSingle(HvLpEvent_Type type,
@@ -252,7 +221,6 @@ static inline HvLpDma_Rc HvCallEvent_dma
 		HvLpDma_AddressType remoteAddressType,
 		u64 localAddrOrTce, u64 remoteAddrOrTce, u32 transferLength)
 {
-	HvLpDma_Rc retVal;
 	/* Pack the misc bits into a single Dword to pass to PLIC */
 	union {
 		struct HvCallEvent_PackedDmaParms	parms;
@@ -269,24 +237,17 @@ static inline HvLpDma_Rc HvCallEvent_dma
 	packed.parms.xLocalInstId	= localInstanceId;
 	packed.parms.xRemoteInstId	= remoteInstanceId;
 
-	retVal = (HvLpDma_Rc)HvCall4(HvCallEventDmaSingle,
-			packed.dword, localAddrOrTce, remoteAddrOrTce,
-			transferLength);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return (HvLpDma_Rc)HvCall4(HvCallEventDmaSingle, packed.dword,
+			localAddrOrTce, remoteAddrOrTce, transferLength);
 }
 
 static inline HvLpDma_Rc HvCallEvent_dmaToSp(void *local, u32 remote,
 		u32 length, HvLpDma_Direction dir)
 {
 	u64 abs_addr;
-	HvLpDma_Rc retVal;
 
 	abs_addr = virt_to_abs(local);
-	retVal = (HvLpDma_Rc)HvCall4(HvCallEventDmaToSp, abs_addr, remote,
-			length, dir);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall4(HvCallEventDmaToSp, abs_addr, remote, length, dir);
 }
 
 #endif /* _HVCALLEVENT_H */
diff -puN include/asm-ppc64/iSeries/HvCallHpt.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvCallHpt.h
--- 25/include/asm-ppc64/iSeries/HvCallHpt.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCallHpt.h	2005-06-03 02:15:54.000000000 -0700
@@ -43,34 +43,27 @@
 
 static inline u64 HvCallHpt_getHptAddress(void)
 {
-	u64 retval = HvCall0(HvCallHptGetHptAddress);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retval;
+	return HvCall0(HvCallHptGetHptAddress);
 }
 
 static inline u64 HvCallHpt_getHptPages(void)
 {
-	u64 retval = HvCall0(HvCallHptGetHptPages);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retval;
+	return HvCall0(HvCallHptGetHptPages);
 }
 
 static inline void HvCallHpt_setPp(u32 hpteIndex, u8 value)
 {
 	HvCall2(HvCallHptSetPp, hpteIndex, value);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallHpt_setSwBits(u32 hpteIndex, u8 bitson, u8 bitsoff)
 {
 	HvCall3(HvCallHptSetSwBits, hpteIndex, bitson, bitsoff);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallHpt_invalidateNoSyncICache(u32 hpteIndex)
 {
 	HvCall1(HvCallHptInvalidateNoSyncICache, hpteIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline u64 HvCallHpt_invalidateSetSwBitsGet(u32 hpteIndex, u8 bitson,
@@ -81,36 +74,30 @@ static inline u64 HvCallHpt_invalidateSe
 	compressedStatus = HvCall4(HvCallHptInvalidateSetSwBitsGet,
 			hpteIndex, bitson, bitsoff, 1);
 	HvCall1(HvCallHptInvalidateNoSyncICache, hpteIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 	return compressedStatus;
 }
 
 static inline u64 HvCallHpt_findValid(HPTE *hpte, u64 vpn)
 {
-	u64 retIndex = HvCall3Ret16( HvCallHptFindValid, hpte, vpn, 0, 0 );
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retIndex;
+	return HvCall3Ret16(HvCallHptFindValid, hpte, vpn, 0, 0);
 }
 
 static inline u64 HvCallHpt_findNextValid(HPTE *hpte, u32 hpteIndex,
 		u8 bitson, u8 bitsoff)
 {
-	u64 retIndex = HvCall3Ret16( HvCallHptFindNextValid, hpte, hpteIndex, bitson, bitsoff );
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retIndex;
+	return HvCall3Ret16(HvCallHptFindNextValid, hpte, hpteIndex,
+			bitson, bitsoff);
 }
 
 static inline void HvCallHpt_get(HPTE *hpte, u32 hpteIndex)
 {
 	HvCall2Ret16(HvCallHptGet, hpte, hpteIndex, 0);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline void HvCallHpt_addValidate(u32 hpteIndex, u32 hBit, HPTE *hpte)
 {
 	HvCall4(HvCallHptAddValidate, hpteIndex, hBit, (*((u64 *)hpte)),
 			(*(((u64 *)hpte)+1)));
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 #endif /* _HVCALLHPT_H */
diff -puN include/asm-ppc64/iSeries/HvCallPci.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvCallPci.h
--- 25/include/asm-ppc64/iSeries/HvCallPci.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCallPci.h	2005-06-03 02:15:54.000000000 -0700
@@ -140,8 +140,6 @@ static inline u64 HvCallPci_configLoad8(
 
 	HvCall3Ret16(HvCallPciConfigLoad8, &retVal, *(u64 *)&dsa, offset, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*value = retVal.value;
 
 	return retVal.rc;
@@ -161,8 +159,6 @@ static inline u64 HvCallPci_configLoad16
 
 	HvCall3Ret16(HvCallPciConfigLoad16, &retVal, *(u64 *)&dsa, offset, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*value = retVal.value;
 
 	return retVal.rc;
@@ -182,8 +178,6 @@ static inline u64 HvCallPci_configLoad32
 
 	HvCall3Ret16(HvCallPciConfigLoad32, &retVal, *(u64 *)&dsa, offset, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*value = retVal.value;
 
 	return retVal.rc;
@@ -193,7 +187,6 @@ static inline u64 HvCallPci_configStore8
 		u8 deviceId, u32 offset, u8 value)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -201,18 +194,13 @@ static inline u64 HvCallPci_configStore8
 	dsa.subBusNumber = subBusNumber;
 	dsa.deviceId = deviceId;
 
-	retVal = HvCall4(HvCallPciConfigStore8, *(u64 *)&dsa, offset, value, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciConfigStore8, *(u64 *)&dsa, offset, value, 0);
 }
 
 static inline u64 HvCallPci_configStore16(u16 busNumber, u8 subBusNumber,
 		u8 deviceId, u32 offset, u16 value)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -220,18 +208,13 @@ static inline u64 HvCallPci_configStore1
 	dsa.subBusNumber = subBusNumber;
 	dsa.deviceId = deviceId;
 
-	retVal = HvCall4(HvCallPciConfigStore16, *(u64 *)&dsa, offset, value, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciConfigStore16, *(u64 *)&dsa, offset, value, 0);
 }
 
 static inline u64 HvCallPci_configStore32(u16 busNumber, u8 subBusNumber,
 		u8 deviceId, u32 offset, u32 value)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -239,11 +222,7 @@ static inline u64 HvCallPci_configStore3
 	dsa.subBusNumber = subBusNumber;
 	dsa.deviceId = deviceId;
 
-	retVal = HvCall4(HvCallPciConfigStore32, *(u64 *)&dsa, offset, value, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciConfigStore32, *(u64 *)&dsa, offset, value, 0);
 }
 
 static inline u64 HvCallPci_barLoad8(u16 busNumberParm, u8 subBusParm,
@@ -262,8 +241,6 @@ static inline u64 HvCallPci_barLoad8(u16
 
 	HvCall3Ret16(HvCallPciBarLoad8, &retVal, *(u64 *)&dsa, offsetParm, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*valueParm = retVal.value;
 
 	return retVal.rc;
@@ -285,8 +262,6 @@ static inline u64 HvCallPci_barLoad16(u1
 
 	HvCall3Ret16(HvCallPciBarLoad16, &retVal, *(u64 *)&dsa, offsetParm, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*valueParm = retVal.value;
 
 	return retVal.rc;
@@ -308,8 +283,6 @@ static inline u64 HvCallPci_barLoad32(u1
 
 	HvCall3Ret16(HvCallPciBarLoad32, &retVal, *(u64 *)&dsa, offsetParm, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*valueParm = retVal.value;
 
 	return retVal.rc;
@@ -331,8 +304,6 @@ static inline u64 HvCallPci_barLoad64(u1
 
 	HvCall3Ret16(HvCallPciBarLoad64, &retVal, *(u64 *)&dsa, offsetParm, 0);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	*valueParm = retVal.value;
 
 	return retVal.rc;
@@ -343,7 +314,6 @@ static inline u64 HvCallPci_barStore8(u1
 		u8 valueParm)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -352,11 +322,8 @@ static inline u64 HvCallPci_barStore8(u1
 	dsa.deviceId = deviceIdParm;
 	dsa.barNumber = barNumberParm;
 
-	retVal = HvCall4(HvCallPciBarStore8, *(u64 *)&dsa, offsetParm, valueParm, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciBarStore8, *(u64 *)&dsa, offsetParm,
+			valueParm, 0);
 }
 
 static inline u64 HvCallPci_barStore16(u16 busNumberParm, u8 subBusParm,
@@ -364,7 +331,6 @@ static inline u64 HvCallPci_barStore16(u
 		u16 valueParm)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -373,11 +339,8 @@ static inline u64 HvCallPci_barStore16(u
 	dsa.deviceId = deviceIdParm;
 	dsa.barNumber = barNumberParm;
 
-	retVal = HvCall4(HvCallPciBarStore16, *(u64 *)&dsa, offsetParm, valueParm, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciBarStore16, *(u64 *)&dsa, offsetParm,
+			valueParm, 0);
 }
 
 static inline u64 HvCallPci_barStore32(u16 busNumberParm, u8 subBusParm,
@@ -385,7 +348,6 @@ static inline u64 HvCallPci_barStore32(u
 		u32 valueParm)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -394,11 +356,8 @@ static inline u64 HvCallPci_barStore32(u
 	dsa.deviceId = deviceIdParm;
 	dsa.barNumber = barNumberParm;
 
-	retVal = HvCall4(HvCallPciBarStore32, *(u64 *)&dsa, offsetParm, valueParm, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciBarStore32, *(u64 *)&dsa, offsetParm,
+			valueParm, 0);
 }
 
 static inline u64 HvCallPci_barStore64(u16 busNumberParm, u8 subBusParm,
@@ -406,7 +365,6 @@ static inline u64 HvCallPci_barStore64(u
 		u64 valueParm)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -415,11 +373,8 @@ static inline u64 HvCallPci_barStore64(u
 	dsa.deviceId = deviceIdParm;
 	dsa.barNumber = barNumberParm;
 
-	retVal = HvCall4(HvCallPciBarStore64, *(u64 *)&dsa, offsetParm, valueParm, 0);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall4(HvCallPciBarStore64, *(u64 *)&dsa, offsetParm,
+			valueParm, 0);
 }
 
 static inline u64 HvCallPci_eoi(u16 busNumberParm, u8 subBusParm,
@@ -436,8 +391,6 @@ static inline u64 HvCallPci_eoi(u16 busN
 
 	HvCall1Ret16(HvCallPciEoi, &retVal, *(u64*)&dsa);
 
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
 	return retVal.rc;
 }
 
@@ -445,7 +398,6 @@ static inline u64 HvCallPci_getBarParms(
 		u8 deviceIdParm, u8 barNumberParm, u64 parms, u32 sizeofParms)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -454,18 +406,13 @@ static inline u64 HvCallPci_getBarParms(
 	dsa.deviceId = deviceIdParm;
 	dsa.barNumber = barNumberParm;
 
-	retVal = HvCall3(HvCallPciGetBarParms, *(u64*)&dsa, parms, sizeofParms);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall3(HvCallPciGetBarParms, *(u64*)&dsa, parms, sizeofParms);
 }
 
 static inline u64 HvCallPci_maskFisr(u16 busNumberParm, u8 subBusParm,
 		u8 deviceIdParm, u64 fisrMask)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -473,18 +420,13 @@ static inline u64 HvCallPci_maskFisr(u16
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceIdParm;
 
-	retVal = HvCall2(HvCallPciMaskFisr, *(u64*)&dsa, fisrMask);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall2(HvCallPciMaskFisr, *(u64*)&dsa, fisrMask);
 }
 
 static inline u64 HvCallPci_unmaskFisr(u16 busNumberParm, u8 subBusParm,
 		u8 deviceIdParm, u64 fisrMask)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -492,18 +434,13 @@ static inline u64 HvCallPci_unmaskFisr(u
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceIdParm;
 
-	retVal = HvCall2(HvCallPciUnmaskFisr, *(u64*)&dsa, fisrMask);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall2(HvCallPciUnmaskFisr, *(u64*)&dsa, fisrMask);
 }
 
 static inline u64 HvCallPci_setSlotReset(u16 busNumberParm, u8 subBusParm,
 		u8 deviceIdParm, u64 onNotOff)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -511,18 +448,13 @@ static inline u64 HvCallPci_setSlotReset
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceIdParm;
 
-	retVal = HvCall2(HvCallPciSetSlotReset, *(u64*)&dsa, onNotOff);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall2(HvCallPciSetSlotReset, *(u64*)&dsa, onNotOff);
 }
 
 static inline u64 HvCallPci_getDeviceInfo(u16 busNumberParm, u8 subBusParm,
 		u8 deviceNumberParm, u64 parms, u32 sizeofParms)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -530,18 +462,13 @@ static inline u64 HvCallPci_getDeviceInf
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceNumberParm << 4;
 
-	retVal = HvCall3(HvCallPciGetDeviceInfo, *(u64*)&dsa, parms, sizeofParms);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall3(HvCallPciGetDeviceInfo, *(u64*)&dsa, parms, sizeofParms);
 }
 
 static inline u64 HvCallPci_maskInterrupts(u16 busNumberParm, u8 subBusParm,
 		u8 deviceIdParm, u64 interruptMask)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -549,18 +476,13 @@ static inline u64 HvCallPci_maskInterrup
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceIdParm;
 
-	retVal = HvCall2(HvCallPciMaskInterrupts, *(u64*)&dsa, interruptMask);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall2(HvCallPciMaskInterrupts, *(u64*)&dsa, interruptMask);
 }
 
 static inline u64 HvCallPci_unmaskInterrupts(u16 busNumberParm, u8 subBusParm,
 		u8 deviceIdParm, u64 interruptMask)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -568,18 +490,13 @@ static inline u64 HvCallPci_unmaskInterr
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceIdParm;
 
-	retVal = HvCall2(HvCallPciUnmaskInterrupts, *(u64*)&dsa, interruptMask);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall2(HvCallPciUnmaskInterrupts, *(u64*)&dsa, interruptMask);
 }
 
 static inline u64 HvCallPci_getBusUnitInfo(u16 busNumberParm, u8 subBusParm,
 		u8 deviceIdParm, u64 parms, u32 sizeofParms)
 {
 	struct HvCallPci_DsaAddr dsa;
-	u64 retVal;
 
 	*((u64*)&dsa) = 0;
 
@@ -587,37 +504,30 @@ static inline u64 HvCallPci_getBusUnitIn
 	dsa.subBusNumber = subBusParm;
 	dsa.deviceId = deviceIdParm;
 
-	retVal = HvCall3(HvCallPciGetBusUnitInfo, *(u64*)&dsa, parms, sizeofParms);
-
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-
-	return retVal;
+	return HvCall3(HvCallPciGetBusUnitInfo, *(u64*)&dsa, parms,
+			sizeofParms);
 }
 
 static inline int HvCallPci_getBusVpd(u16 busNumParm, u64 destParm,
 		u16 sizeParm)
 {
-	int xRetSize;
-	u64 xRc = HvCall4(HvCallPciGetCardVpd, busNumParm, destParm, sizeParm, HvCallPci_BusVpd);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
+	u64 xRc = HvCall4(HvCallPciGetCardVpd, busNumParm, destParm,
+			sizeParm, HvCallPci_BusVpd);
 	if (xRc == -1)
-		xRetSize = -1;
+		return -1;
 	else
-		xRetSize = xRc & 0xFFFF;
-	return xRetSize;
+		return xRc & 0xFFFF;
 }
 
 static inline int HvCallPci_getBusAdapterVpd(u16 busNumParm, u64 destParm,
 		u16 sizeParm)
 {
-	int xRetSize;
-	u64 xRc = HvCall4(HvCallPciGetCardVpd, busNumParm, destParm, sizeParm, HvCallPci_BusAdapterVpd);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
+	u64 xRc = HvCall4(HvCallPciGetCardVpd, busNumParm, destParm,
+			sizeParm, HvCallPci_BusAdapterVpd);
 	if (xRc == -1)
-		xRetSize = -1;
+		return -1;
 	else
-		xRetSize = xRc & 0xFFFF;
-	return xRetSize;
+		return xRc & 0xFFFF;
 }
 
 #endif /* _HVCALLPCI_H */
diff -puN include/asm-ppc64/iSeries/HvCallSm.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvCallSm.h
--- 25/include/asm-ppc64/iSeries/HvCallSm.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCallSm.h	2005-06-03 02:15:54.000000000 -0700
@@ -32,10 +32,7 @@
 static inline u64 HvCallSm_get64BitsOfAccessMap(HvLpIndex lpIndex,
 		u64 indexIntoBitMap)
 {
-	u64 retval = HvCall2(HvCallSmGet64BitsOfAccessMap, lpIndex,
-			     indexIntoBitMap );
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retval;
+	return HvCall2(HvCallSmGet64BitsOfAccessMap, lpIndex, indexIntoBitMap);
 }
 
 #endif /* _HVCALLSM_H */
diff -puN include/asm-ppc64/iSeries/HvCallXm.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvCallXm.h
--- 25/include/asm-ppc64/iSeries/HvCallXm.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCallXm.h	2005-06-03 02:15:54.000000000 -0700
@@ -19,58 +19,43 @@
 static inline void HvCallXm_getTceTableParms(u64 cb)
 {
 	HvCall1(HvCallXmGetTceTableParms, cb);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
 }
 
 static inline u64 HvCallXm_setTce(u64 tceTableToken, u64 tceOffset, u64 tce)
 {
-	u64 retval = HvCall3(HvCallXmSetTce, tceTableToken, tceOffset, tce );
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retval;
+	return HvCall3(HvCallXmSetTce, tceTableToken, tceOffset, tce);
 }
 
 static inline u64 HvCallXm_setTces(u64 tceTableToken, u64 tceOffset,
 		u64 numTces, u64 tce1, u64 tce2, u64 tce3, u64 tce4)
 {
-	u64 retval = HvCall7(HvCallXmSetTces, tceTableToken, tceOffset, numTces,
-			     tce1, tce2, tce3, tce4 );
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retval;
+	return HvCall7(HvCallXmSetTces, tceTableToken, tceOffset, numTces,
+			     tce1, tce2, tce3, tce4);
 }
 
 static inline u64 HvCallXm_testBus(u16 busNumber)
 {
-	u64 retVal = HvCall1(HvCallXmTestBus, busNumber);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall1(HvCallXmTestBus, busNumber);
 }
 
 static inline u64 HvCallXm_testBusUnit(u16 busNumber, u8 subBusNumber,
 		u8 deviceId)
 {
-	u64 busUnitNumber = (subBusNumber << 8) | deviceId;
-	u64 retVal = HvCall2(HvCallXmTestBusUnit, busNumber, busUnitNumber);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall2(HvCallXmTestBusUnit, busNumber,
+			(subBusNumber << 8) | deviceId);
 }
 
 static inline u64 HvCallXm_connectBusUnit(u16 busNumber, u8 subBusNumber,
 		u8 deviceId, u64 interruptToken)
 {
-	u64 busUnitNumber = (subBusNumber << 8) | deviceId;
-	u64 queueIndex = 0; // HvLpConfig::mapDsaToQueueIndex(HvLpDSA(busNumber, xBoard, xCard));  
-
-	u64 retVal = HvCall5(HvCallXmConnectBusUnit, busNumber, busUnitNumber,
-			     interruptToken, 0, queueIndex);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall5(HvCallXmConnectBusUnit, busNumber,
+			(subBusNumber << 8) | deviceId, interruptToken, 0,
+			0 /* HvLpConfig::mapDsaToQueueIndex(HvLpDSA(busNumber, xBoard, xCard)) */);
 }
 
 static inline u64 HvCallXm_loadTod(void)
 {
-	u64 retVal = HvCall0(HvCallXmLoadTod);
-	// getPaca()->adjustHmtForNoOfSpinLocksHeld();
-	return retVal;
+	return HvCall0(HvCallXmLoadTod);
 }
 
 #endif /* _HVCALLXM_H */
diff -puN include/asm-ppc64/iSeries/HvLpConfig.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/HvLpConfig.h
--- 25/include/asm-ppc64/iSeries/HvLpConfig.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvLpConfig.h	2005-06-03 02:15:54.000000000 -0700
@@ -281,8 +281,7 @@ static inline u64 HvLpConfig_getLoadPage
 
 static inline int HvLpConfig_isBusOwnedByThisLp(HvBusNumber busNumber)
 {
-	HvLpIndex busOwner = HvLpConfig_getBusOwner(busNumber);
-	return (busOwner == HvLpConfig_getLpIndex());
+	return (HvLpConfig_getBusOwner(busNumber) == HvLpConfig_getLpIndex());
 }
 
 static inline int HvLpConfig_doLpsCommunicateOnVirtualLan(HvLpIndex lp1,
diff -puN include/asm-ppc64/iSeries/iSeries_irq.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/iSeries_irq.h
--- 25/include/asm-ppc64/iSeries/iSeries_irq.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/iSeries_irq.h	2005-06-03 02:15:54.000000000 -0700
@@ -1,19 +1,11 @@
 #ifndef	__ISERIES_IRQ_H__
 #define	__ISERIES_IRQ_H__
 
-#ifdef __cplusplus
-extern "C" {
-#endif
+extern void iSeries_init_IRQ(void);
+extern int  iSeries_allocate_IRQ(HvBusNumber, HvSubBusNumber, HvAgentId);
+extern int  iSeries_assign_IRQ(int, HvBusNumber, HvSubBusNumber, HvAgentId);
+extern void iSeries_activate_IRQs(void);
 
-void iSeries_init_IRQ(void);
-int  iSeries_allocate_IRQ(HvBusNumber, HvSubBusNumber, HvAgentId);
-int  iSeries_assign_IRQ(int, HvBusNumber, HvSubBusNumber, HvAgentId);
-void iSeries_activate_IRQs(void);
-
-int XmPciLpEvent_init(void);
-
-#ifdef __cplusplus
-}
-#endif
+extern int XmPciLpEvent_init(void);
 
 #endif /* __ISERIES_IRQ_H__ */
diff -puN include/asm-ppc64/iSeries/iSeries_pci.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/iSeries_pci.h
--- 25/include/asm-ppc64/iSeries/iSeries_pci.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/iSeries_pci.h	2005-06-03 02:15:54.000000000 -0700
@@ -55,7 +55,7 @@ struct iSeries_Device_Node;
  */
 
 #define ISERIES_PCI_AGENTID(idsel, func)	\
-	((idsel & 0x0F) << 4) | (func & 0x07)
+	(((idsel & 0x0F) << 4) | (func & 0x07))
 #define ISERIES_ENCODE_DEVICE(agentid)		\
 	((0x10) | ((agentid & 0x20) >> 2) | (agentid & 0x07))
 
diff -puN include/asm-ppc64/iSeries/vio.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/vio.h
--- 25/include/asm-ppc64/iSeries/vio.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/vio.h	2005-06-03 02:15:54.000000000 -0700
@@ -58,16 +58,16 @@
  */
 typedef void (vio_event_handler_t) (struct HvLpEvent * event);
 
-int viopath_open(HvLpIndex remoteLp, int subtype, int numReq);
-int viopath_close(HvLpIndex remoteLp, int subtype, int numReq);
-int vio_setHandler(int subtype, vio_event_handler_t * beh);
-int vio_clearHandler(int subtype);
-int viopath_isactive(HvLpIndex lp);
-HvLpInstanceId viopath_sourceinst(HvLpIndex lp);
-HvLpInstanceId viopath_targetinst(HvLpIndex lp);
-void vio_set_hostlp(void);
-void *vio_get_event_buffer(int subtype);
-void vio_free_event_buffer(int subtype, void *buffer);
+extern int viopath_open(HvLpIndex remoteLp, int subtype, int numReq);
+extern int viopath_close(HvLpIndex remoteLp, int subtype, int numReq);
+extern int vio_setHandler(int subtype, vio_event_handler_t * beh);
+extern int vio_clearHandler(int subtype);
+extern int viopath_isactive(HvLpIndex lp);
+extern HvLpInstanceId viopath_sourceinst(HvLpIndex lp);
+extern HvLpInstanceId viopath_targetinst(HvLpIndex lp);
+extern void vio_set_hostlp(void);
+extern void *vio_get_event_buffer(int subtype);
+extern void vio_free_event_buffer(int subtype, void *buffer);
 
 extern HvLpIndex viopath_hostLp;
 extern HvLpIndex viopath_ourLp;
diff -puN include/asm-ppc64/iSeries/XmPciLpEvent.h~ppc64-iseries-obvious-code-simplifications include/asm-ppc64/iSeries/XmPciLpEvent.h
--- 25/include/asm-ppc64/iSeries/XmPciLpEvent.h~ppc64-iseries-obvious-code-simplifications	2005-06-03 02:15:54.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/XmPciLpEvent.h	2005-06-03 02:15:54.000000000 -0700
@@ -1,15 +1,7 @@
 #ifndef	__XMPCILPEVENT_H__
 #define	__XMPCILPEVENT_H__
 
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-int XmPciLpEvent_init(void);
-void ppc_irq_dispatch_handler(struct pt_regs *regs, int irq);
-
-#ifdef __cplusplus
-}
-#endif
+extern int XmPciLpEvent_init(void);
+extern void ppc_irq_dispatch_handler(struct pt_regs *regs, int irq);
 
 #endif /* __XMPCILPEVENT_H__ */
_
